1Jan

Autocad Draw Polyline Vba Emulator

1 Jan 2000admin

Hello, I'm runngin AutoCAD 2006 and have built an application with VBA. Programma raschet sistemi dimoudaleniya. I've got the following code in my application in an attempt to create a six sided shape programmatically: Private Sub cmdTest_Click() Dim Points(5) As Double Dim PLine As AcadLWPolyline Dim SelectionSet As AcadSelectionSet Points(0) = 20: Points(1) = 20: Points(2) = 20 Points(3) = 20: Points(4) = 20 Set AcadPolyline = ThisDrawing.ModelSpace.AddLightWeightPolyline(Points) ZoomAll End Sub All I get is a straight line. What am I missing here?

Any help is greatly appreciated. Array is Vertices coordinates list, not Point, which has either 2 elemens as x and y, or 3 elements as x, y, z. Since the polyline is 2D polyline, the array must have at least 4 elements (two points) and the number of elements must be even. In your case, you supplied 5 elements, which is 2 and half points, as following: Point1: x=20, y=20 Point2: x=20, y=20 Point3: x=20, y=not supplied. So, what kind of polyline do you think Acad would draw? Wrote in message news:5531155@discussion.autodesk.com. Hello, I'm runngin AutoCAD 2006 and have built an application with VBA.

I've got the following code in my application in an attempt to create a six sided shape programmatically: Private Sub cmdTest_Click() Dim Points(5) As Double Dim PLine As AcadLWPolyline Dim SelectionSet As AcadSelectionSet Points(0) = 20: Points(1) = 20: Points(2) = 20 Points(3) = 20: Points(4) = 20 Set AcadPolyline = ThisDrawing.ModelSpace.AddLightWeightPolyline(Points) ZoomAll End Sub All I get is a straight line. What am I missing here? Any help is greatly appreciated.

I'm trying to draw a polyline from two given points and following a specific path (another polyline) otherwise the 2 polylines will be superimposed with VBA.